#ifndef RT_MATH_H
#define RT_MATH_H

/* Math types and functions */

/* 2d vector */
typedef union {
    struct {
        float x;
        float y;
    };
    float e[2];
} rt_v2;

typedef union {
    struct {
        int x;
        int y;
    };
    int e[2];
} rt_v2i;

/* 2d rectangle defined by its upper left corner and its size. */
typedef struct {
    rt_v2 offset;
    rt_v2 size;
} rt_rect2;

typedef struct {
    rt_v2i offset;
    rt_v2i size;
} rt_rect2i;
#endif
